1. bigdogjonx's Avatar
    Dont seem to see a clear answer on this since everyone seems to be more focused on running a completely different provider on their iPhones.

    Ive got an iPhone already, bought it the 2nd day it was released and running it with my current ATT simcard (did not have to unlock) that is hooked upto our business account.

    Id like to get my wife the iPhone as well and she has an ATT simcard as well, wondering if I get a new OOB 1.1.2 will it work? Because I see no reason that I have to unlock it, Im thinking the whole part where I have to do the lockdownd patch alone will activate it and allow my SIM card to work since it just allows any SIM to work with the iPhone in the sense where it wont throw the incorrect sim card message. And if you are like me that has an ATT based card, you shouldnt need to unlock. This is currently how it works in 1.1.1 and previous versions, just the lockdownd patch or iAsign is enough.

    So anyone using an OOB 1.1.2 with their ATT sim already? (Again by ATT sim I mean a previous ATT simcard, not the one you get with the iPhone and officially activate it)

    Dixit
    2007-12-05 04:25 AM
  2. chris52204's Avatar
    If you have at&t you won't have to unlock your iphone. You should call at&t and let them know you have a second iphone now so they don't extend your contract for 2 years again.
    2007-12-05 06:13 AM
  3. bigdogjonx's Avatar
    If you have at&t you won't have to unlock your iphone. You should call at&t and let them know you have a second iphone now so they don't extend your contract for 2 years again.
    Maybe I wasn't clear. These are ATT cards from a business account. They were never activated on the iPhone. Think of them as Cingular cards. My Cingular card was put into the iPhone I bought and just activated it and used iAsign and it worked since the Carrier code on the Sim card is the same as what the phone is looking for.

    So I'm basically asking if a Cingular card will work in an OOB 1.1.2 iPhone by just putting the lockdownd patch.

    Dixit
    2007-12-05 06:27 AM
  4. chris52204's Avatar
    It should theoretically because cingular is now at&t. If not give the them a call and ask them to fix it for ya. Worst case scenario they will just say use the new sim card. It shouldn't hurt anything.
    Last edited by chris52204; 2007-12-05 at 06:34 AM.
    2007-12-05 06:32 AM
  5. bigdogjonx's Avatar
    It should theoretically because cingular is now at&t. If not give the them a call and ask them to fix it for ya. Worst case scenario they will just say use the new sim card. It shouldn't hurt anything.
    Right. But I obviously can't call ATT because they won't support it not to mention they will just tell me to remove the phone from the business account and signup for a real iPhone plan which I can't do.

    I guess I will just have to try this out then and see what happens.

    Dixit
    2007-12-05 06:56 AM
  6. Nito's Avatar
    Hi bigdogjonx
    Would you let me know how it goes with the iAsing on your OTB 1.1.2 iphone, I'm on the same situation having a bussines contract with ATT but they wouldn't activate it. Please tell me that it works!!!!!
    2007-12-27 06:17 PM
  7. bigdogjonx's Avatar
    Nito, it works just fine. So you are good to go to use the ATT/Cingular card in your OTB 1.1.2 phone. I imagine that part will continue to work as new firmware comes out, granted that we can continue to jailbreak our way to the latest firmware. Which may not be too much of an issue since it seems like downgrading to a known working one, then using preps like oktoprep puts a security hole into the firmware and lets us upgrade it and then still possibly jailbreak. So for us folks its better than the unlock folks who are screwed waiting for a proper unlock.

    Dixit
    2007-12-27 06:42 PM
  8. Nito's Avatar
    This is good news bigdogjonx, can you give me some guidence on how to do it? do you have a link were I can download what I need to activate my Iphone? I will really apreciate you help.
    2007-12-30 10:00 AM
  9. bigdogjonx's Avatar
    Theres nothing to it, just do the normal upgrade steps to 1.1.2 from 1.1.1 and jailbreak using the Java version and thats it, the phone is activated with your ATT based sim.

    Dixit
    2007-12-30 05:13 PM
  10. Nito's Avatar
    I guess that is the problem that my Iphone is brand new 1.1.2 from the store, do you know if I still can use this procedure?
    2007-12-30 07:33 PM
  11. bigdogjonx's Avatar
    That is not the problem, because I had a 1.1.2 with the 4.0x bootloader and still got it working, simply downgrade to 1.1.1, jailbreak, oktoprep, then upgrade, and rejailbreak and done. Use the GUIDES up top people.

    Dixit
    2007-12-30 09:08 PM
  12. Nito's Avatar
    I stuck on the brick step, I had downgrade the iphone to the 1.1.1 firmware version but I can't find the ibrick to remove the itunes conection scren from the iphone, any suggestions?
    2007-12-31 08:37 AM
LINK TO POST COPIED TO CLIPBOARD